<?
$ip = $_SERVER['REMOTE_ADDR'];
$file=("ban.txt");//отсюда берём ip кого банить
$ban = file("ban.txt");
$count = count($ban); 
for ($i=0; $i<$count; $i++) { 
//if($ip == $ban[$i]) { die("Доступ запрещён $ip забанен"); } -бан без диопазона
if (substr($ip, 0, strlen($ban[$i]))==$ban[$i]){ die("<center><font color='red'><b><br/><br/><br/><br/>Доступ запрещен.</b></font><br/>Ваш ip адрес $ip заблокирован.<br/>Дополнительная информация:<br/><font color='red'><b>support@gfarm.su</b></font></center>"); } //бан по диопазону
}
?>